Hello!

Did you know that logged in users can see a lot more content?

2017i Table of Contents

Which license server version to use

Last updated May 16, 2018 by Tekla User Assistance tekla.documentation@trimble.com

Software version: 
2017i

Which license server version to use

Which license server version to use

Check the table below to see which license server version to use with your current Tekla Structures version. Also check if you need to upgrade to a new service pack or progress release.

Tekla Structures version License Server 2016 SP1 License Server 2017 or later

2017i - all versions

 

X

2017 - all versions

X

X

2016i - all versions

X

X

2016 SP5/PR5 or later

X

X

2016 up to SP4/PR4

X

Upgrade to 2016 SP5/PR5 or later

21.1 SR7 or later

X

X

21.1 up to SR6

X

Upgrade to 21.1 SR7 or later

21.1 all PV versions

X

X

21.0 or earlier

X

X

For instructions on how to install the license server, see Install Tekla Structures license server.

Quick feedback

The feedback you give here is not visible to other users. We use your comments to improve our documentation.
We use this to prevent automated spam submissions.
Content rating: 
No votes yet

Comments

by John Swallow

The table is unnecessarily confusing. The "X" would normally mean No. Could you not replace the "X" with a more positive symbol like a tick?

by Päivi from Tekla User Assistance

Hi John,
Thank you for your feedback. Check mark X is very commonly used in tables like this, so I think we will stick to it.

Best regards,
Päivi

by John Swallow

Could the table be extended to cover older versions?

by Päivi from Tekla User Assistance

Hi again,
The table says License Server 2016 SP1 and License Server 2017 can be used for "21.0 or earlier", which means that both server versions can be used for all Tekla Structures versions using FlexNet licensing older than 21.0. For this reason, I think it is not necessary to list all the older versions separately.

Best regards,
Päivi

by Dimitris Sidiropoulos

I don't know if anyone else has reported this, but after installing License Server 2017, I had to upgrade from 2016i SR4 to 2016i SR6 because Tekla is crashing.
It's a pity to be forced to update SR because you don't know what will happen on a current model. E.g. I have a sharing model which is at 21.1 SR5 and when I open it with 21.1 SR8 (because I was forced to update due to License Server 2017) there is a message saying "Invalid database files have been detected... The version of these databases does not match." Maybe this is an issue with the Model Sharing but we should be able to use License Server regardless which SR we are using.

Kind regards,
Dimitris Sidiropoulos

by Päivi from Tekla User Assistance

Hello,
Thank you for reporting this, I will pass this on to our support.

Best regards,
Päivi from User Assistance

by Päivi from Tekla User Assistance

Hello again,
I got an answer from our license expert that this might not be a problem in licensing, but this might be either an installation issue or model sharing issue. The suggestion is that you would contact your local Tekla Structures support for further investigation.

Best regards,
Päivi